Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.windows
Class WindowsLookAndFeelAddons

    java.lang.Object
      org.jdesktop.swingx.plaf.LookAndFeelAddons
          org.jdesktop.swingx.plaf.basic.BasicLookAndFeelAddons
              org.jdesktop.swingx.plaf.windows.WindowsLookAndFeelAddons

Direct Known Subclasses:
  WindowsClassicLookAndFeelAddons

    public class WindowsLookAndFeelAddons

extends BasicLookAndFeelAddons

Adds new pluggable UI following the Windows XP look and feel.

Field Summary
`static java.lang.String` | `HOMESTEAD_VISUAL_STYLE`
`static java.lang.String` | `SILVER_VISUAL_STYLE`
`static java.lang.String` | `VISTA_VISUAL_STYLE`

Constructor Summary
`WindowsLookAndFeelAddons()`

Method Summary

Methods inherited from class org.jdesktop.swingx.plaf.basic.BasicLookAndFeelAddons
`initialize, uninitialize`

Methods inherited from class org.jdesktop.swingx.plaf.LookAndFeelAddons
`contribute, getAddon, getBestMatchAddonClassName, getSystemAddonClassName, getUI, installBackgroundPainter, isTrackingLookAndFeelChanges, loadDefaults, setAddon, setAddon, setAddon, setTrackingLookAndFeelChanges, uncontribute, uninstallBackgroundPainter, unloadDefaults`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HOMESTEAD_VISUAL_STYLE

    public static final java.lang.String HOMESTEAD_VISUAL_STYLE

See Also:
  Constant Field Values

### SILVER_VISUAL_STYLE

    public static final java.lang.String SILVER_VISUAL_STYLE

See Also:
  Constant Field Values

### VISTA_VISUAL_STYLE

    public static final java.lang.String VISTA_VISUAL_STYLE

See Also:
  Constant Field Values

Constructor Detail

### WindowsLookAndFeelAddons

    public WindowsLookAndFeelAddons()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.